"use strict";
/*******************************************************************************
* Copyright (c) 2019 IBM Corporation and others.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v2.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v20.html
*
* Contributors:
*     IBM Corporation - initial API and implementation
*******************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * A large number of file changes will be split into 'bite-sized pieces' called
 * chunks. Each chunk communicates a subset of the full change list.
 *
 * Instances of this class are immutable.
 */
class PostQueueChunk {
    constructor(projectId, timestamp, base64Compressed, chunkId, chunkTotal, parentGroup) {
        this._projectId = projectId;
        this._timestamp = timestamp;
        this._base64Compressed = base64Compressed;
        this._chunkId = chunkId;
        this._chunkTotal = chunkTotal;
        this._parentGroup = parentGroup;
    }
    get projectId() {
        return this._projectId;
    }
    get timestamp() {
        return this._timestamp;
    }
    get base64Compressed() {
        return this._base64Compressed;
    }
    get chunkId() {
        return this._chunkId;
    }
    get chunkTotal() {
        return this._chunkTotal;
    }
    get parentGroup() {
        return this._parentGroup;
    }
}
exports.PostQueueChunk = PostQueueChunk;
