"use strict";
/*******************************************************************************
 * Copyright (c) 2019 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************
 */
Object.defineProperty(exports, "__esModule", { value: true });
const Logger_1 = require("../../Logger");
class CodewindEventListener {
    static addOnChangeListener(callback) {
        Logger_1.default.i("Adding onChangeListener " + callback.name);
        CodewindEventListener.listeners.push(callback);
    }
}
exports.default = CodewindEventListener;
CodewindEventListener.listeners = [];
/**
 * Call this whenever a connection is added, removed, or changed.
 * Pass the item that changed (Connection or Project) or undefined for the tree's root.
 */
CodewindEventListener.onChange = (changed) => {
    // Log.d(`There was a change, notifying ${this.listeners.length} listeners`);
    CodewindEventListener.listeners.forEach((cb) => cb(changed));
};
//# sourceMappingURL=CodewindEventListener.js.map