"use strict";
/*******************************************************************************
 * Copyright (c) 2019 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
class ConnectionState {
    constructor(isConnected, hasChildrenInTree, asString) {
        this.isConnected = isConnected;
        this.hasChildrenInTree = hasChildrenInTree;
        this.asString = asString;
    }
    toString() {
        return this.asString;
    }
}
exports.ConnectionState = ConnectionState;
// tslint:disable-next-line: variable-name
exports.ConnectionStates = {
    INITIALIZING: new ConnectionState(false, true, "Connecting..."),
    READY: new ConnectionState(true, true, "Ready"),
    NETWORK_ERROR: new ConnectionState(false, true, "Network Error"),
    // Explicitly disabled by user - only applies to remote connections
    DISABLED: new ConnectionState(false, false, "Disabled"),
    // REGISTRY_ERROR: new ConnectionState(true, true),
    AUTH_ERROR: new ConnectionState(false, true, "Auth Error"),
};
//# sourceMappingURL=ConnectionState.js.map