"use strict";
/*******************************************************************************
 * Copyright (c) 2018, 2019 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
const Logger_1 = require("../../Logger");
const ProjectOverviewPageWrapper_1 = require("../webview/ProjectOverviewPageWrapper");
const MCUtil_1 = require("../../MCUtil");
function projectOverviewCmd(project) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            if (project.overviewPage) {
                project.overviewPage.reveal();
                return;
            }
            // tslint:disable-next-line: no-unused-expression
            new ProjectOverviewPageWrapper_1.default(project);
        }
        catch (err) {
            const errMsg = `Error opening Project Info page for ${project.name}:`;
            vscode.window.showErrorMessage(`${errMsg} ${MCUtil_1.default.errToString(err)}`);
            Logger_1.default.e(errMsg, err);
        }
    });
}
exports.default = projectOverviewCmd;
//# sourceMappingURL=ProjectOverviewCmd.js.map