"use strict";
/*******************************************************************************
 * Copyright (c) 2019 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
const Requester_1 = require("../../codewind/project/Requester");
function toggleInjectMetricsCmd(project) {
    return __awaiter(this, void 0, void 0, function* () {
        if (!project.type.canInjectMetrics) {
            vscode.window.showWarningMessage(`This project type does not support Codewind Application Metrics injection.`);
            return;
        }
        return Requester_1.default.requestToggleInjectMetrics(project);
    });
}
exports.default = toggleInjectMetricsCmd;
//# sourceMappingURL=ToggleAutoInjectMetrics.js.map