"use strict";
/*******************************************************************************
 * Copyright (c) 2019 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
class CWConfiguration {
    constructor(section, defaultValue) {
        this.section = section;
        this.defaultValue = defaultValue;
    }
    get() {
        const result = vscode.workspace.getConfiguration("codewind", null).get(this.section);
        if (result == null) {
            return this.defaultValue;
        }
        return result;
    }
}
// tslint:disable-next-line: variable-name
exports.CWConfigurations = {
    AUTO_SHOW_VIEW: new CWConfiguration("autoShowView", true),
    OVERVIEW_ON_CREATION: new CWConfiguration("openOverviewOnCreation", true),
    ALWAYS_CREATE_IN_WORKSPACE: new CWConfiguration("alwaysCreateProjectsInWorkspace", false),
};
//# sourceMappingURL=Configurations.js.map